module trmpi_group_mod

  implicit NONE

 INTERFACE
   subroutine trmpi_group&
     (name,lname,code,lcode,action,laction,have_group,active,comm,rank,size)


   character(len=*), intent(in)    :: name       ! group name
                                                 ! NUBEAM or TORIC or CQL3D
   integer, intent(in)             :: lname
   character(len=*), intent(in)    :: code       ! calling program
   integer, intent(in)             :: lcode
   character(len=*), intent(in)    :: action     ! request
   integer, intent(in)             :: laction
   logical, intent(out)            :: have_group ! group exists
   logical, intent(out),optional   :: active     ! active group member
   integer, intent(out),optional   :: comm       ! group communicator 
   integer, intent(out),optional   :: rank       ! group rank
   integer, intent(out),optional   :: size       ! group size 

  end subroutine trmpi_group
 END INTERFACE

end module trmpi_group_mod
